import greenfoot.*;

/**
 * This class defines a Scuba. Scubas live on the beach.
 */
public class Scuba extends Actor
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    private int wormsEaten;
    private int counter = 0;
    public Scuba ()
    {
        image1 = new GreenfootImage ("Scuba1.png");
        image2 = new GreenfootImage ("Scuba2.png");
        setImage(image1);
    }

    public void act()
    {
        move(3);
        lookForWorm();
        checkKeypress();
        switchImage();
    }

    public void switchImage()
    {
       // if (counter == 3)
        if (getImage() == image1) 
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
        
       // counter = 0;
    }
    
    public void lookForWorm()
    {
        if ( isTouching(Worm.class)  )
        {
            removeTouching(Worm.class);
            Greenfoot.playSound ("myslurp.wav");

            wormsEaten = wormsEaten + 1;
            if (wormsEaten == 3)
            {
                Greenfoot.playSound ("victory.wav");
                Greenfoot.stop();
            }
        }
    }

    public void checkKeypress()
    {
        if (Greenfoot.isKeyDown("left"))
        {
            turn (-4);
        }
        if (Greenfoot.isKeyDown ("right"))
        {
            turn(4);
        }
    }
}
