import greenfoot.*;  // (Actor, World, Greenfoot, GreenfootImage)

public class scubaWorld extends World
{
    /**
     * Create the scuba world (the beach). Our world has a size 
     * of 560x560 cells, where every cell is just 1 pixel.
     */
    public scubaWorld() 
    {
        super(360, 360, 1);
        prepare();
    }

    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        Lobster lobster = new Lobster();
        addObject(lobster,130,134);
        Lobster lobster2 = new Lobster();
        addObject(lobster2,136,218);
        Lobster lobster3 = new Lobster();
        addObject(lobster3,253,185);
        Worm worm = new Worm();
        addObject(worm,77,47);
        Worm worm2 = new Worm();
        addObject(worm2,78,169);
        Worm worm3 = new Worm();
        addObject(worm3,82,288);
        Scuba scuba2 = new Scuba();
        addObject(scuba2,255,136);
        lobster3.setLocation(234,272);
    }
}